#include <bits/stdc++.h>
using namespace std;
int p,q,r,L,R,res,x,y,z;
int main () {
scanf("%d%d%d%d%d",&p,&q,&r,&L,&R);
res=0;
for (int i=L;i<=R;i++){
    x=i/p;
    y=i/q;
    z=i/r;
    if (i%p>0){x++;}
    if (i%q>0){y++;}
    if (i%r>0){z++;}
    if (x+y+z<=i){
        res++;
    }
}
printf("%d\n",res);
return 0;
}